Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 640686 - games-board/spider-1.2_p4-r1 - Imakefile.c:34:2: fatal error: Imake.tmpl: No such file or directory
Summary: games-board/spider-1.2_p4-r1 - Imakefile.c:34:2: fatal error: Imake.tmpl: No ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Games
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: no-symlink-lib
  Show dependency tree
 
Reported: 2017-12-11 14:07 UTC by Xavier Miller
Modified: 2018-01-13 22:21 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,2.18 KB, text/plain)
2017-12-11 14:07 UTC, Xavier Miller
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xavier Miller gentoo-dev 2017-12-11 14:07:36 UTC
Created attachment 509356 [details]
build.log

Testing the 17.1 profile and no-symlink-lib

Emerging games-board/spider fails when imake is called:
>>> Emerging (3 of 3) games-board/spider-1.2_p4-r1::gentoo
 * spider_1.2.orig.tar.gz BLAKE2B SHA512 size ;-) ...                                                                                            [ ok ]
 * spider_1.2-4.diff.gz BLAKE2B SHA512 size ;-) ...                                                                                              [ ok ]
>>> Unpacking source...
>>> Unpacking spider_1.2.orig.tar.gz to /var/tmp/portage/games-board/spider-1.2_p4-r1/work
>>> Unpacking spider_1.2-4.diff.gz to /var/tmp/portage/games-board/spider-1.2_p4-r1/work
>>> Source unpacked in /var/tmp/portage/games-board/spider-1.2_p4-r1/work
>>> Preparing source in /var/tmp/portage/games-board/spider-1.2_p4-r1/work/spider-1.2.orig ...
 * Applying spider_1.2-4.diff ...                                                                                                                [ ok ]
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/games-board/spider-1.2_p4-r1/work/spider-1.2.orig ...
Imakefile.c:34:2: fatal error: Imake.tmpl: No such file or directory
compilation terminated.
imake: Exit code 1.



This ebuild depends on x11-misc/xorg-cf-files and x11-misc/imake

The requested file Imake.tmpl is located at /usr/lib64/X11/config/Imake.tmpl, and provided by x11-misc/xorg-cf-files
Comment 1 Alexander Tsoy 2018-01-10 10:09:00 UTC
Probably ebuild sould use xmkmf instead on calling imake directly.

Another option is this one-liner patch:

@@ -2,7 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2

 EAPI=5
-inherit eutils gnome2-utils games multilib
+inherit eutils gnome2-utils games

 MY_P="${P%%_*}"
 MY_P="${MY_P/-/_}"
@@ -43,7 +43,7 @@
                -DSmallCards=NO \
                -DRoundCards \
                $(use athena && echo "-DCompileXAW=YES" || echo "-DCompileXlibOnly=YES") \
-               -I/usr/$(get_libdir)/X11/config \
+               -I/usr/lib/X11/config \
                || die "imake failed"
        sed -i \
                -e '/CC = /d' \
Comment 2 Larry the Git Cow gentoo-dev 2018-01-13 22:21:26 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7ca5185c2708c6e894625468526939aed3feef0d

commit 7ca5185c2708c6e894625468526939aed3feef0d
Author:     Alexander Tsoy <alexander@tsoy.me>
AuthorDate: 2018-01-10 11:39:55 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2018-01-13 22:19:14 +0000

    games-board/spider: use xmkmf instead of calling imake directly
    
    Closes: https://bugs.gentoo.org/640686
    Closes: https://github.com/gentoo/gentoo/pull/6816

 games-board/spider/spider-1.2_p4-r1.ebuild | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)